List the agents this provisioner created
curl --request POST \
--url https://access.noetive.io/agents/v1/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"before": ""
}'import requests
url = "https://access.noetive.io/agents/v1/list"
payload = { "before": "" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({before: ''})
};
fetch('https://access.noetive.io/agents/v1/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://access.noetive.io/agents/v1/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'before' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://access.noetive.io/agents/v1/list"
payload := strings.NewReader("{\n \"before\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://access.noetive.io/agents/v1/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"before\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://access.noetive.io/agents/v1/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"before\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"agents": [
{
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd",
"name": "Ticket 4411 triage",
"address": "triage-4411@k3x9.noetiveagents.com",
"bud_scopes": [
"mail"
],
"key_id": "key_01jb8x4m3ae0bv3c8m5n7r2wxz",
"disabled": false,
"created_at": "2026-10-27T09:00:00Z"
}
],
"next_before": ""
}{
"code": "local_part_taken",
"error": "That address is already in use.",
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd"
}{
"code": "local_part_taken",
"error": "That address is already in use.",
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd"
}{
"code": "local_part_taken",
"error": "That address is already in use.",
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd"
}{
"code": "local_part_taken",
"error": "That address is already in use.",
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd"
}{
"code": "local_part_taken",
"error": "That address is already in use.",
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd"
}{
"code": "local_part_taken",
"error": "That address is already in use.",
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd"
}Agents and keys
List the agents this provisioner created
Every live agent this provisioner created, newest first. An empty
agents list means it has created none, not that the call failed.
POST
/
agents
/
v1
/
list
List the agents this provisioner created
curl --request POST \
--url https://access.noetive.io/agents/v1/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"before": ""
}'import requests
url = "https://access.noetive.io/agents/v1/list"
payload = { "before": "" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({before: ''})
};
fetch('https://access.noetive.io/agents/v1/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://access.noetive.io/agents/v1/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'before' => ''
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://access.noetive.io/agents/v1/list"
payload := strings.NewReader("{\n \"before\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://access.noetive.io/agents/v1/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"before\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://access.noetive.io/agents/v1/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"before\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"agents": [
{
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd",
"name": "Ticket 4411 triage",
"address": "triage-4411@k3x9.noetiveagents.com",
"bud_scopes": [
"mail"
],
"key_id": "key_01jb8x4m3ae0bv3c8m5n7r2wxz",
"disabled": false,
"created_at": "2026-10-27T09:00:00Z"
}
],
"next_before": ""
}{
"code": "local_part_taken",
"error": "That address is already in use.",
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd"
}{
"code": "local_part_taken",
"error": "That address is already in use.",
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd"
}{
"code": "local_part_taken",
"error": "That address is already in use.",
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd"
}{
"code": "local_part_taken",
"error": "That address is already in use.",
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd"
}{
"code": "local_part_taken",
"error": "That address is already in use.",
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd"
}{
"code": "local_part_taken",
"error": "That address is already in use.",
"agent_id": "ag_01jb8x4m2fe0bv3c7y1tq9k2rd"
}Authorizations
Was this page helpful?

